package com.persagy.adm.server.custom.entity;

import com.persagy.adm.server.custom.dto.ObjectInfoCollectDTO;
import com.persagy.adm.server.custom.dto.ObjectTypeCollectDTO;
import com.persagy.adm.server.custom.dto.RelationDefineCollectDTO;
import com.persagy.adm.server.custom.entity.db.ObjectInfoCollect;
import com.persagy.adm.server.custom.entity.db.ObjectTypeCollect;
import lombok.Data;

import java.util.List;
import java.util.Map;

/**
 * 下载数据字典
 */
@Data
public class Dict {

	private List<Map<String, Object>> major;

	private List<ObjectTypeCollectDTO> system;

	private List<ObjectTypeCollectDTO> equipment;

	private List<RelationDefineCollectDTO> relation;

	private List<ObjectInfoCollectDTO> infos;

}
