package com.persagy.adm.server.custom.service.impl.offline_data_download;

import com.persagy.dmp.basic.model.QueryCriteria;

public class CriteriaUtils {

    public static void buildDownloadQueryCriteria(QueryCriteria criteria, String operator, Long lastDownloadTime) {
        if (lastDownloadTime != null && lastDownloadTime > 0) {
            criteria.getCriteria().putObject("ts").put("$gt", lastDownloadTime);
            criteria.getCriteria().putObject("modifier").put("$ne", operator); //TODO 暂时只能处理modifier
        }
    }

    public static String getOperator(String clientId, String userId) {
        return userId + ':' + clientId;
    }
}
