package com.persagy.adm.server.backstage.domain;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;

import java.util.List;
/**
 * 位置
 * @author : lijie
 * Update By 2022/1/22 15:50
 */
@Data
public class Location {
    /**类型:0表示点，1表示线*/
    @JSONField(alternateNames = {"Type"})
    private Integer type;
    /**位置坐标信息*/
    @JSONField(alternateNames = {"Points"})
    private List<Point> points;



}
